%define	name	valgrind
%define	version	3.2.3
%define	release	%mkrel 1
%define _requires_exceptions GLIBC_PRIVATE

Name: 		%{name}
Version:	%{version}
Release:	%{release}
Summary: 	an open-source memory debugger for x86-linux
License: 	GPL
Group: 		Development/Other
Source0:	http://www.valgrind.org/downloads/%{name}-%{version}.tar.bz2
Source1: 	valgrind
URL: 		http://valgrind.kde.org/
ExclusiveArch:	%{ix86} x86_64 ppc
BuildRequires:	glibc-static-devel
Obsoletes:	valgrind-plugins
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%description
When a program is run under Valgrind's supervision, all reads and
writes of memory are checked, and calls to malloc/new/free/delete are
intercepted. As a result, Valgrind can detect problems such as:

    * Use of uninitialised memory
    * Reading/writing memory after it has been free'd
    * Reading/writing off the end of malloc'd blocks
    * Reading/writing inappropriate areas on the stack
    * Memory leaks -- where pointers to malloc'd blocks are lost forever
    * Passing of uninitialised and/or unaddressible memory to system calls
    * Mismatched use of malloc/new/new [] vs free/delete/delete []


%prep
%setup -q 

%build
%configure2_5x
%make



%install
rm -rf %{buildroot}
# Don't strip librairy ask by developer
export DONT_STRIP=1
%makeinstall
# move documentation where rpm expect it to be
mv %{buildroot}%{_datadir}/doc/%{name} %{buildroot}%{_datadir}/doc/%{name}-%{version}
install -m 644 README* ACKNOWLEDGEMENTS  %{buildroot}%{_datadir}/doc/%{name}-%{version}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/%name
%{_includedir}/valgrind/
%{_libdir}/pkgconfig/valgrind.pc
%{_datadir}/doc/%{name}-%{version}
%{_mandir}/man1/valgrind.1.bz2


%changelog
* Fri Mar 16 2007 Laurent Montel <lmontel@mandriva.com> 3.2.3-1mdv2007.1
+ Revision: 144737
- 3.2.3

* Sat Jan 13 2007 Michael Scherer <misc@mandriva.org> 3.2.1-1mdv2007.1
+ Revision: 108323
- update to 3.2.1, fix illegal instruction on current libstdc++ on x86_64
- Import valgrind



* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.2.0-2mdv2007.0
- obsoletes valgrind-plugins

* Tue Jun 13 2006 Guillaume Rousse <guillomovitch@mandriva.org> 3.2.0-1mdv2007.0
- new version
- rpmbuildupdate aware
- spec cleanup
- move doc file in doc directory

* Fri Apr 28 2006 Jerome Soyer <saispo@mandriva.org> 3.1.1-1mdk
- New release 3.1.1

* Fri Feb 17 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.1.0-2mdk
- enable build for ppc

* Thu Dec 01 2005 Laurent MONTEL <lmontel@mandriva.com> 3.1.0-1mdk
- 3.1.0

* Mon Sep  5 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 3.0.1-1mdk
- 3.0.1

* Thu Aug 04 2005 Laurent MONTEL <lmontel@mandriva.com> 3.0.0-1mdk
- 3.0.0

* Thu Mar 24 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 2.4.0-1mdk
- 2.4.0

* Wed Jan 19 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.0-2mdk
- Remove calltree from this package create new package valgrind-plugins and put callgrind into (because we can't compile callgrind without valgrind)

* Fri Sep 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.0-1mdk
- 2.2.0

* Wed Jul 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.2-1mdk
- 2.1.2 (see http://developer.kde.org/~sewardj/docs-2.0.0/NEWS.txt)

* Thu Apr 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-3mdk
- Add calltree plugins for kcachegrind (kdesdk)

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.1.1-2mdk
- fix buildrequires
- use %%configure macro
- update url
- drop patches that wasn't applied

* Tue Mar 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.1-1mdk
- new version

* Tue Mar 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.0-3mdk
- Don't package twice manual.html bug #9314

* Mon Dec 22 2003 Stefan van der Eijk <stefan@eijk.nu> 2.1.0-2mdk
- rebuild for new pkgconfig Requires

* Mon Dec 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1.0-1mdk
- 2.0.1

* Fri Nov 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.0-1mdk
- 2.0.0

* Mon Oct 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.9.6-2mdk
- 20031012

* Wed May 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.9.6-1mdk
- 1.9.6

* Mon Apr 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.9.5-2mdk
- Fix spec file

* Wed Apr 23 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.9.5-1mdk
- 1.9.5

* Sat Mar  1 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.4-2mdk
- Patch2: Handle __NR_exit_group
- Patch1: Add GLIBC_2.3.2 version for vg libpthread

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.4-1mdk
- 1.0.4

* Tue Oct 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.3-1mdk
- 1.0.3

* Wed Sep 18 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.2-1.1mdk
- Patch0: add pthread_mutexattr_setpshared

* Fri Sep 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2

* Tue Aug 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1

* Mon Jul 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0

* Sat Jul 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.pre4.1mdk
- pre4

* Sun Jun 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.pre3.1mdk
- pre3

* Thu Jun 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.pre2.1mdk
- pre2

* Wed Jun 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-0.pre1.1mdk
- pre1

* Sat Jun 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0-0.20020606.1mdk
- Update version

* Wed May 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0-0.20020524.1mdk
- Update version

* Mon May 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0-0.20020503b.1mdk
- Update version

* Thu May 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0-0.20020430.1mdk
- Update version

* Mon Apr 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0-0.20020420.2mdk
- rebuild

* Sun Apr 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0-0.20020420.1mdk
-  20020420

* Wed Mar 13 2002 Frederic Lepied <flepied@mandrakesoft.com> 0-0.20020312.1mdk
- 20020312

* Tue Feb 26 2002 Frederic Lepied <flepied@mandrakesoft.com> 0-0.20020225.1mdk
- 20020225

# end of file
